/*-------------------------------------------------------------------------------
Copyright (c)2000 TogetherSoft Corporation. Patents pending. All rights reserved.
-------------------------------------------------------------------------------*/

package com.togethersoft.modules.patterns.UNIVERSAL.CLASS;

import com.togethersoft.openapi.sci.SciClass;
import com.togethersoft.openapi.sci.pattern.SciPatternProperty;

import com.togethersoft.modules.patterns.UNIVERSAL.PatternBase;

/**
 * @version 3.0.0
 * @author TogetherSoft
 */

public class ClassPatternBase extends PatternBase {

    public SciClass getSelectedClass() {
        Object selectedObject = getProperties().getPropertyValue(SciPatternProperty.ELEMENT);
        if (selectedObject != null && selectedObject instanceof SciClass) {
            return (SciClass)selectedObject;
        }
        else {
            return null;
        }
    }
}
